<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="8f78b1f1-dccf-451c-814d-d1add7b00669" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-1599875363">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.0" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="js" value="19" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JavaScript" value="19" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.js.language.service.starts">
        <counts>
          <entry key="ESLintLanguageService" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="js" value="4307" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JavaScript" value="4307" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ToDoList.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="390">
              <caret line="21" column="27" selection-start-line="21" selection-start-column="27" selection-end-line="21" selection-end-column="27" />
              <folding>
                <element signature="e#0#47#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/AddNewToDoTask.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="247">
              <caret line="13" column="15" selection-start-line="13" selection-start-column="9" selection-end-line="13" selection-end-column="15" />
              <folding>
                <element signature="e#0#56#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ToDoList.test.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="114">
              <caret line="6" column="22" selection-start-line="6" selection-start-column="22" selection-end-line="6" selection-end-column="22" />
              <folding>
                <element signature="e#0#26#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ListItem.test.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="152">
              <caret line="8" column="16" selection-start-line="8" selection-start-column="16" selection-end-line="8" selection-end-column="16" />
              <folding>
                <element signature="e#0#26#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ListItem.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="152">
              <caret line="8" column="10" selection-start-line="8" selection-start-column="10" selection-end-line="8" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/AddNewToDoTask.test.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="227">
              <caret line="12" column="14" selection-start-line="12" selection-start-column="14" selection-end-line="12" selection-end-column="14" />
              <folding>
                <element signature="e#0#26#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/index.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="304">
              <caret line="16" column="15" selection-start-line="11" selection-end-line="16" selection-end-column="15" />
              <folding>
                <element signature="e#0#26#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Reducer.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="285">
              <caret line="15" column="5" selection-start-line="15" selection-start-column="5" selection-end-line="15" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/App.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="209">
              <caret line="11" selection-start-line="11" selection-end-line="11" />
              <folding>
                <element signature="e#0#39#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/productlisting" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/App.test.js" />
        <option value="$PROJECT_DIR$/src/Reducer.test.js" />
        <option value="$PROJECT_DIR$/src/Reducer.js" />
        <option value="$PROJECT_DIR$/src/AddNewTask.js" />
        <option value="$PROJECT_DIR$/src/setupTests.js" />
        <option value="$PROJECT_DIR$/src/index.js" />
        <option value="$PROJECT_DIR$/src/ListItem.test.js" />
        <option value="$PROJECT_DIR$/src/ToDoList.js" />
        <option value="$PROJECT_DIR$/src/AddNewToDoTask.test.js" />
        <option value="$PROJECT_DIR$/src/ToDoList.test.js" />
        <option value="$PROJECT_DIR$/src/ListItem.js" />
        <option value="$PROJECT_DIR$/src/App.js" />
        <option value="$PROJECT_DIR$/src/AddNewToDoTask.js" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsFlowSettings">
    <service-enabled>true</service-enabled>
    <exe-path />
    <other-services-enabled>true</other-services-enabled>
    <auto-save>true</auto-save>
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodeModulesDirectoryManager">
    <handled-path value="$PROJECT_DIR$/node_modules" />
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths>
      <path value="$PROJECT_DIR$/package.json" />
    </packageJsonPaths>
  </component>
  <component name="ProjectFrameBounds" extendedState="6" fullScreen="true">
    <option name="width" value="1680" />
    <option name="height" value="1050" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="todolist" type="b2602c69:ProjectViewProjectNode" />
              <item name="todolist" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1542430686603" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.selected.package.eslint" value="$PROJECT_DIR$/node_modules/eslint" />
    <property name="nodejs.jest.jest_package" value="$PROJECT_DIR$/node_modules/react-scripts" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="settings.editor.selected.configurable" value="JavaScript.Libraries" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Jest.AddToDoNewTask.addNewTask.should verify if the text is changed on onChange of the input field">
    <configuration name="AddToDoNewTask" type="JavaScriptTestRunnerJest" factoryName="Jest" temporary="true" nameIsGenerated="true">
      <node-interpreter value="project" />
      <node-options value="" />
      <working-dir value="$PROJECT_DIR$" />
      <envs />
      <scope-kind value="SUITE" />
      <test-file value="$PROJECT_DIR$/src/AddNewToDoTask.test.js" />
      <test-names>
        <test-name value="AddToDoNewTask" />
      </test-names>
      <method v="2" />
    </configuration>
    <configuration name="AddToDoNewTask.addNewTask.should verify if the text is changed on onChange of the input field" type="JavaScriptTestRunnerJest" factoryName="Jest" temporary="true" nameIsGenerated="true">
      <node-interpreter value="project" />
      <node-options value="" />
      <working-dir value="$PROJECT_DIR$" />
      <envs />
      <scope-kind value="TEST" />
      <test-file value="$PROJECT_DIR$/src/AddNewToDoTask.test.js" />
      <test-names>
        <test-name value="AddToDoNewTask" />
        <test-name value="addNewTask" />
        <test-name value="should verify if the text is changed on onChange of the input field" />
      </test-names>
      <method v="2" />
    </configuration>
    <configuration name="AddToDoNewTask.addNewTask.should verify if the text is changed" type="JavaScriptTestRunnerJest" factoryName="Jest" temporary="true" nameIsGenerated="true">
      <node-interpreter value="project" />
      <node-options value="" />
      <working-dir value="$PROJECT_DIR$" />
      <envs />
      <scope-kind value="TEST" />
      <test-file value="$PROJECT_DIR$/src/AddNewToDoTask.test.js" />
      <test-names>
        <test-name value="AddToDoNewTask" />
        <test-name value="addNewTask" />
        <test-name value="should verify if the text is changed" />
      </test-names>
      <method v="2" />
    </configuration>
    <configuration name="ToDoList" type="JavaScriptTestRunnerJest" factoryName="Jest" temporary="true" nameIsGenerated="true">
      <node-interpreter value="project" />
      <node-options value="" />
      <working-dir value="$PROJECT_DIR$" />
      <envs />
      <scope-kind value="SUITE" />
      <test-file value="$PROJECT_DIR$/src/ToDoList.test.js" />
      <test-names>
        <test-name value="ToDoList" />
      </test-names>
      <method v="2" />
    </configuration>
    <configuration name="ToDoList.should " type="JavaScriptTestRunnerJest" factoryName="Jest" temporary="true" nameIsGenerated="true">
      <node-interpreter value="project" />
      <node-options value="" />
      <working-dir value="$PROJECT_DIR$" />
      <envs />
      <scope-kind value="TEST" />
      <test-file value="$PROJECT_DIR$/src/ToDoList.test.js" />
      <test-names>
        <test-name value="ToDoList" />
        <test-name value="should " />
      </test-names>
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Jest.ToDoList.should " />
      <item itemvalue="Jest.ToDoList" />
      <item itemvalue="Jest.AddToDoNewTask.addNewTask.should verify if the text is changed" />
      <item itemvalue="Jest.AddToDoNewTask" />
      <item itemvalue="Jest.AddToDoNewTask.addNewTask.should verify if the text is changed on onChange of the input field" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Jest.AddToDoNewTask.addNewTask.should verify if the text is changed on onChange of the input field" />
        <item itemvalue="Jest.AddToDoNewTask" />
        <item itemvalue="Jest.ToDoList" />
        <item itemvalue="Jest.ToDoList.should " />
        <item itemvalue="Jest.AddToDoNewTask.addNewTask.should verify if the text is changed" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="8f78b1f1-dccf-451c-814d-d1add7b00669" name="Default Changelist" comment="" />
      <created>1542346315841</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1542346315841</updated>
      <workItem from="1542346317509" duration="21177000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="AddToDoNewTask_addNewTask_should_verify_if_the_Add_New_Task_button_have_clicked - 2018.11.16 at 17h 05m 38s.xml">
      <configuration name="AddToDoNewTask.addNewTask.should verify if the Add New Task button have clicked" configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
    <history-entry file="ToDoList - 2018.11.16 at 17h 08m 31s.xml">
      <configuration name="ToDoList" configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
    <history-entry file="ToDoList - 2018.11.16 at 17h 09m 11s.xml">
      <configuration name="ToDoList" configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
    <history-entry file="ToDoList_should_ - 2018.11.16 at 17h 17m 32s.xml">
      <configuration name="ToDoList.should " configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
    <history-entry file="ToDoList_should_ - 2018.11.16 at 17h 17m 52s.xml">
      <configuration name="ToDoList.should " configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
    <history-entry file="AddToDoNewTask_addNewTask_should_verify_if_the_text_is_changed - 2018.11.16 at 17h 24m 12s.xml">
      <configuration name="AddToDoNewTask.addNewTask.should verify if the text is changed" configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
    <history-entry file="ToDoList_should_ - 2018.11.16 at 17h 27m 37s.xml">
      <configuration name="ToDoList.should " configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
    <history-entry file="ToDoList - 2018.11.16 at 17h 29m 54s.xml">
      <configuration name="ToDoList" configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
    <history-entry file="AddToDoNewTask - 2018.11.16 at 17h 44m 58s.xml">
      <configuration name="AddToDoNewTask" configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
    <history-entry file="AddToDoNewTask_addNewTask_should_verify_if_the_text_is_changed_on_onChange_of_the_input_field - 2018.11.16 at 17h 45m 09s.xml">
      <configuration name="AddToDoNewTask.addNewTask.should verify if the text is changed on onChange of the input field" configurationId="JavaScriptTestRunnerJest" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="21177000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1680" height="1050" extended-state="6" />
    <layout>
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="UI Designer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.24969475" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Database Changes" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" show_stripe_button="false" />
      <window_info active="true" anchor="bottom" id="Terminal" visible="true" weight="0.30816326" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.48979592" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Palette" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="Maven Projects" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/App.test.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="19">
          <caret line="1" column="33" lean-forward="true" selection-start-line="1" selection-start-column="33" selection-end-line="1" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Reducer.test.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-112">
          <caret line="45" selection-start-line="45" selection-end-line="45" />
          <folding>
            <element signature="e#0#32#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/setupTests.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="38">
          <caret line="2" column="27" selection-start-line="2" selection-start-column="27" selection-end-line="2" selection-end-column="27" />
          <folding>
            <element signature="e#0#35#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ListItem.test.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="8" column="16" selection-start-line="8" selection-start-column="16" selection-end-line="8" selection-end-column="16" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ToDoList.test.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="114">
          <caret line="6" column="22" selection-start-line="6" selection-start-column="22" selection-end-line="6" selection-end-column="22" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/AddNewToDoTask.test.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="227">
          <caret line="12" column="14" selection-start-line="12" selection-start-column="14" selection-end-line="12" selection-end-column="14" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/AddNewToDoTask.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="247">
          <caret line="13" column="15" selection-start-line="13" selection-start-column="9" selection-end-line="13" selection-end-column="15" />
          <folding>
            <element signature="e#0#56#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ListItem.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="8" column="10" selection-start-line="8" selection-start-column="10" selection-end-line="8" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ToDoList.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="21" column="27" selection-start-line="21" selection-start-column="27" selection-end-line="21" selection-end-column="27" />
          <folding>
            <element signature="e#0#47#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/index.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="304">
          <caret line="16" column="15" selection-start-line="11" selection-end-line="16" selection-end-column="15" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Reducer.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="15" column="5" selection-start-line="15" selection-start-column="5" selection-end-line="15" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/App.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="11" selection-start-line="11" selection-end-line="11" />
          <folding>
            <element signature="e#0#39#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>